# Class CIM_PowerUtilizationManagementService
extends CIM_Service

PowerUtilizationManagementService represents the ability of a platform or component to perform autonomic management of its power utilization.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_PowerUtilizationManagementService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PowerUtilizationManagementService represents the ability of a platform or component to perform autonomic management of its power utilization.
UMLPackagePath | string | CIM::Device::CoolingAndPower
Version | string | 2.23.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PowerUtilizationMode | uint16 | 2

Description

string

PowerUtilizationMode indicates the current power utilization mode implemented by the service. The mode selection is a generally made infrequently as part of element configuration. A value of "None" shall indicate that no effort is being made to reduce the power consumed by the system below nominal. A value of "Dynamic" shall indicate the PowerUtilizationManagementService is actively modifying the configuration of one or more system components in order to reduce the power consumed. A value of "Static" shall indicate the system whose power utilization functionality is represented by the PowerUtilizationManagementService is operating with a fixed configuration resulting in a lower level of power consumption than nominal. Static mode differs from dynamic in that the mode corresponds to a single fixed configuration, while dynamic mode implies frequent changes in system configuration.

ModelCorrespondence | string | CIM_PowerUtilizationManagementCapabilities.PowerUtilizationModesSupported
ValueMap | string | 2, 3, 4, .., 32768..65535
Values | string | None, Dynamic, Static, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Local Class Methods

#### ApplyPowerAllocationSettings (uint32)

#### Method Qualifiers (ApplyPowerAllocationSettings)

Name | Data Type | Value
--- | --- | ---
Description | string | Applies the Power Allocation Settings that represents.the power aspect of the system. When applied to a system's Power Allocation settings, a system's power allocation settingsmay be modified.Upon successfull execution if the limit property of the power aspectis modified the power cap is modified
ValueMap | string | 0, 1, 2, 4096, .., 32768..65535
Values | string | Completed with No Error, Not Supported, Failed, Job Started, DMTF Reserved, Vendor Reserved

#### Method Parameters (ApplyPowerAllocationSettings)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
PowerAllocationSettings | string
Description | string | An embedded instance of class CIM_PowerAllocationSettingData that describes modifications to the existing power allocation aspects of a computer system. The embedded instance must have a valid InstanceID in order to identify the power allocation setting to be modified.
EmbeddedInstance | string | CIM_PowerAllocationSettingData
In | boolean | true
Required | boolean | true
Job | REF CIM_ConcreteJob
Description | string | If the operation is long running, then optionally a job be returned.
In | boolean | false
Out | boolean | true

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service